import request from '@/utils/request'

// 查询会员信息列表
export function listMember(query) {
  return request({
    url: '/account/member/list',
    method: 'get',
    params: query
  })
}

// 查询会员信息详细
export function getMember(uid) {
  return request({
    url: '/account/member/' + uid,
    method: 'get'
  })
}

// 新增会员信息
export function addMember(data) {
  return request({
    url: '/account/member',
    method: 'post',
    data: data
  })
}

// 修改会员信息
export function updateMember(data) {
  return request({
    url: '/account/member',
    method: 'put',
    data: data
  })
}

// 删除会员信息
export function delMember(uid) {
  return request({
    url: '/account/member/' + uid,
    method: 'delete'
  })
}
